## org.apache.commons.collections.map
Class IdentityMap.IdentityEntry

    java.lang.Object
      org.apache.commons.collections.map.AbstractHashedMap.HashEntry
          org.apache.commons.collections.map.IdentityMap.IdentityEntry

All Implemented Interfaces:
  KeyValue, Map.Entry

Enclosing class:
  IdentityMap

protected static class IdentityMap.IdentityEntry
extends AbstractHashedMap.HashEntry

HashEntry

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractHashedMap.HashEntry
`hashCode, key, next, value`

Constructor Summary
`protected` `IdentityMap.IdentityEntry(AbstractHashedMap.HashEntry next, int hashCode, Object key, Object value)`

Method Summary
`boolean` `equals(Object obj)`
`int` `hashCode()`

Methods inherited from class org.apache.commons.collections.map.AbstractHashedMap.HashEntry
`getKey, getValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IdentityMap.IdentityEntry

    protected IdentityMap.IdentityEntry(AbstractHashedMap.HashEntry next,
                                        int hashCode,
                                        Object key,
                                        Object value)

Method Detail

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Map.Entry`
  Overrides:
    `equals` in class `AbstractHashedMap.HashEntry`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map.Entry`
  Overrides:
    `hashCode` in class `AbstractHashedMap.HashEntry`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.